System update failed

Hello.

I'm strugling with system update with sudo pacman -Syu.
I have read several topics on that forum like
Update does not proceed - "error: starship-git: signature from "Nico Jensch <[email protected]>" is unknown trust" but unfortunatelly with no luck.

Here's what doesn't work properly (and yes I haven't udated system from a while):

LANG=C sudo pacman -Syu
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
chaotic-aur                              1474,6 KiB  1655 KiB/s 00:01 [----------------------------------------] 100%
:: Starting full system upgrade...
:: Replace garuda-settings-manager-knotifier-git with chaotic-aur/garuda-system-maintenance? [Y/n] y
:: Replace jack with extra/jack2? [Y/n] y
resolving dependencies...
looking for conflicting packages...
:: garuda-common-settings and systemd-swap are in conflict. Remove systemd-swap? [y/N] y
warning: dependency cycle detected:
warning: smbclient will be installed before its cifs-utils dependency
warning: dependency cycle detected:
warning: rubygems will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-irb will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-irb will be installed before its ruby dependency

Packages (621) 0ad-a25.b-1  0ad-data-a25.b-1  abiword-3.0.5-1  alacritty-0.9.0-1  alsa-card-profiles-1:0.3.34-1
alsa-lib-1.2.5.1-3  alsa-topology-conf-1.2.5.1-1  alsa-ucm-conf-1.2.5.1-1  android-tools-31.0.2-1
aom-3.1.2-1  apm-2.6.4-1  appstream-0.14.4-1  appstream-qt-0.14.4-1
archlinux-appstream-data-pamac-20210723-1  ark-21.08.0-1  at-spi2-core-2.40.3-1  atom-1.58.0-1
attica-5.85.0-1  audit-3.0.4-1  automake-1.16.4-1  baloo-5.85.0-1  baloo-widgets-21.08.0-1
bat-0.18.3-1  beautyline-20210718-1  bind-9.16.20-1  blas-3.10.0-1  bleachbit-4.4.0-1
bluedevil-1:5.22.4-1  bluetooth-support-1-4  bluez-5.61-1  bluez-cups-5.61-1  bluez-hid2hci-5.61-1
bluez-libs-5.61-1  bluez-plugins-5.61-1  bluez-qt-5.85.0-1  bluez-utils-5.61-1  breeze-5.22.4-1
breeze-gtk-5.22.4-1  breeze-icons-5.85.0-1  btrfs-progs-5.13.1-1  bubblewrap-0.5.0-1  c-ares-1.17.2-1
ca-certificates-mozilla-3.69-1  caffeine-2.9.8-1  candy-icons-git-r673.98c1771-1  cblas-3.10.0-1
cdrtools-3.02a09-5  celt-0.11.3-4  ceph-libs-15.2.13-2  cfitsio-1:4.0.0-1
chaotic-mirrorlist-20210716-1  cifs-utils-6.13-3  ckbcomp-1.205-1  clang-12.0.1-1  clazy-1.10-1
cmake-3.21.2-2  cni-plugins-1.0.0-1  compiler-rt-12.0.1-2  containerd-1.5.5-1
containers-common-0.43.2-2  converseen-0.9.9.1-1  crun-0.21-1  cryptsetup-2.4.0-1
cups-filters-1.28.10-1  curl-7.78.0-1  dav1d-0.9.1-1  dbus-glib-0.112-2  dbus-python-1.2.18-1
device-mapper-2.03.13-1  diffutils-3.8-1  dolphin-21.08.0-1  dolphin-plugins-21.08.0-1
downgrade-10.1.0-1  drkonqi-5.22.4-1  e2fsprogs-1.46.4-1  editorconfig-core-c-0.12.5-1
electron-13.2.2-1  enchant-2.3.1-1  ethtool-1:5.13-1  exiv2-0.27.4-2  expac-10-4
extra-cmake-modules-5.85.0-1  extremetuxracer-0.8.1-1  f2fs-tools-1.14.0-2  ffmpegthumbs-21.08.0-1
filelight-21.08.0-1  filezilla-3.55.1-1  find-the-command-git-1.4.2.r2.g0fc7e85-1  firedragon-91.0.2-1
fish-3.3.1-1  fish-systemd-git-r10.4e922a2-1  fluidsynth-2.2.2-1  fmt-8.0.1-1  fontconfig-2:2.13.94-1
foomatic-db-3:20210828-1  foomatic-db-nonfree-3:20210828-1  foomatic-db-nonfree-ppds-3:20210828-1
foomatic-db-ppds-3:20210828-1  fprintd-1.94.0-1  frameworkintegration-5.85.0-1  freerdp-2:2.4.0-1
fuse-common-3.10.4-1  fuse-overlayfs-1.7.1-1  fuse3-3.10.4-1  fwupd-1.6.3-1  fwupd-efi-1.1-1
game-devices-udev-0.15-1  garuda-assistant-1.1.1-1  garuda-bash-config-1.0.1-1
garuda-browser-settings-1.2.0-1  garuda-common-settings-2.0.2-1  garuda-dr460nized-1.5.6-1
garuda-fish-config-1.4.0-1  garuda-gamer-1.0.3-1  garuda-hooks-2.2.0-1  garuda-hotfixes-1.0.0-2
garuda-icons-r29.5730a02-1  garuda-settings-manager-knotifier-git-r25.eb0ea49-1 [removal]
garuda-setup-assistant-1.1.2-1  garuda-system-maintenance-1.1.3-1  garuda-wallpapers-r59.a88383b-1
garuda-wallpapers-extra-r9.ef73a85-1  garuda-welcome-1.0.7-1  gd-2.3.2-4  gdbm-1.20-1
gdk-pixbuf2-2.42.6-2  gegl-0.4.30-6  geoip-database-20210824-1  gimp-2.10.24-6  git-2.33.0-1
glib2-2.68.4-1  glslang-11.6.0-1  glu-9.0.2-1  gnupg-2.2.29-1  google-chrome-92.0.4515.159-1
gpgme-1.16.0-1  gpsd-3.23-1  granite-6.1.1-1  graphviz-2.48.0-2  groff-1.22.4-6  grub-2:2.06-1
gst-plugins-bad-1.18.4-11  gst-plugins-bad-libs-1.18.4-11  gtk-update-icon-cache-1:4.4.0-1
gtk3-1:3.24.30-2  gtk4-1:4.4.0-1  gwenview-21.08.0-1  handbrake-1.4.1-1  harfbuzz-2.9.0-1
harfbuzz-icu-2.9.0-1  haskell-hslogger-1.3.1.0-117  haskell-network-3.1.2.2-1
haskell-network-bsd-2.8.1.0-97  hedgewars-1.0.0-194  hplip-1:3.21.6-1  hwids-20210613-1
hwinfo-21.76-1  hwloc-2.5.0-1  hypnotix-2.0-1  iana-etc-20210728-1  iio-sensor-proxy-3.1-1
imagemagick-7.1.0.4-2  imath-3.1.2-1  imlib2-1.7.3-1  inetutils-2.1-1  input-devices-support-1-2
intel-gmmlib-21.2.1-1  intel-media-driver-21.3.2-1  inxi-3.3.06.1-1  iproute2-5.13.0-1
iputils-20210722-1  jack-0.125.0-9 [removal]  jack2-1.9.19-2  jasper-2.0.33-1
jdk11-openjdk-11.0.12.u7-1  jre-openjdk-16.0.2.u7-1  jre-openjdk-headless-16.0.2.u7-1
jre11-openjdk-11.0.12.u7-1  jre11-openjdk-headless-11.0.12.u7-1  js78-78.13.0-1  json-glib-1.6.6-1
k3b-1:21.08.0-1  kaccounts-integration-21.08.0-1  kaccounts-providers-21.08.0-1  kactivities-5.85.0-1
kactivities-stats-5.85.0-1  kactivitymanagerd-5.22.4-1  kamoso-21.08.0-1  kapman-21.08.0-1
karchive-5.85.0-1  kate-21.08.0-1  kauth-5.85.0-1  kbookmarks-5.85.0-1  kcalc-21.08.0-1
kcalendarcore-5.85.0-1  kcmutils-5.85.0-1  kcodecs-5.85.0-1  kcompletion-5.85.0-1  kconfig-5.85.0-1
kconfigwidgets-5.85.0-1  kcontacts-1:5.85.0-1  kcoreaddons-5.85.0-1  kcrash-5.85.0-1  kcron-21.08.0-1
kdbusaddons-5.85.0-1  kde-cli-tools-5.22.4-1  kde-gtk-config-5.22.4-1  kdeclarative-5.85.0-1
kdeconnect-21.08.0-1  kdecoration-5.22.4-1  kded-5.85.0-1  kdegraphics-thumbnailers-21.08.0-1
kdelibs4support-5.85.0-1  kdenetwork-filesharing-21.08.0-1  kdeplasma-addons-5.22.4-1  kdesu-5.85.0-1
kdf-21.08.0-1  kdialog-21.08.0-1  kdnssd-5.85.0-1  kdoctools-5.85.0-1  kdsoap-2.0.0-1
kdsoap-ws-discovery-client-git20200927-2  keditbookmarks-21.08.0-1  kemoticons-5.85.0-1
kernel-modules-hook-0.1.7-2  kfilemetadata-5.85.0-1  kfind-21.08.0-1  kgamma5-5.22.4-1
kglobalaccel-5.85.0-1  kguiaddons-5.85.0-1  khelpcenter-21.08.0-1  kholidays-1:5.85.0-1
khotkeys-5.22.4-1  khtml-5.85.0-1  ki18n-5.85.0-1  kiconthemes-5.85.0-1  kidletime-5.85.0-1
kimageformats-5.85.0-1  kinfocenter-5.22.4-1  kinit-5.85.0-1  kio-5.85.0-1  kio-extras-21.08.0-1
kio-gdrive-21.08.0-1  kipi-plugins-21.08.0-1  kirigami2-5.85.0-1  kitemmodels-5.85.0-1
kitemviews-5.85.0-1  kjobwidgets-5.85.0-1  kjs-5.85.0-1  kleopatra-21.08.0-1  kmahjongg-21.08.0-1
kmenuedit-5.22.4-1  kmime-21.08.0-1  knewstuff-5.85.0-1  knights-21.08.0-1  knotifications-5.85.0-1
knotifyconfig-5.85.0-1  kompare-21.08.0-1  konsole-21.08.0-3  kpackage-5.85.0-1  kparts-5.85.0-1
kpeople-5.85.0-1  kpimtextedit-21.08.0-1  kplotting-5.85.0-1  kpmcore-21.08.0-1  kpty-5.85.0-1
kquickcharts-5.85.0-1  krdc-21.08.0-1  krename-5.0.1-3  krfb-21.08.0-1  krunner-5.85.0-1
kscreen-5.22.4-1  kscreenlocker-5.22.4-1  kservice-5.85.0-1  ksshaskpass-5.22.4-1
ksystemlog-21.08.0-1  ksystemstats-5.22.4-1  ktexteditor-5.85.0-1  ktextwidgets-5.85.0-1
kunitconversion-5.85.0-1  kvantum-qt5-0.20.1-1  kvantum-theme-sweet-git-r202.eb0b5bd-1
kwallet-5.85.0-1  kwallet-pam-5.22.4-1  kwalletmanager-21.08.0-1  kwayland-5.85.0-1
kwayland-integration-5.22.4-1  kwayland-server-5.22.4-1  kwidgetsaddons-5.85.0-1  kwin-5.22.4-1
kwindowsystem-5.85.0-1  kwrited-5.22.4-1  kxmlgui-5.85.0-1  lapack-3.10.0-1
latte-dock-git-0.10.0.r31.geb95f2ef-1  layer-shell-qt-5.22.4-1  ldb-2:2.3.0-1  less-1:590-1
lib32-clang-12.0.1-1  lib32-curl-7.78.0-1  lib32-e2fsprogs-1.46.4-1  lib32-libdrm-2.4.107-1
lib32-libldap-2.4.59-1  lib32-libva-mesa-driver-21.2.1-1  lib32-libxcrypt-4.4.25-1
lib32-libxfixes-6.0.0-1  lib32-llvm-libs-12.0.1-2  lib32-mesa-21.2.1-1  lib32-mesa-vdpau-21.2.1-1
lib32-opencl-mesa-21.2.1-1  lib32-util-linux-2.37.2-1  lib32-vulkan-icd-loader-1.2.184-1
lib32-vulkan-intel-21.2.1-1  lib32-vulkan-mesa-layers-21.2.1-1  lib32-vulkan-radeon-21.2.1-1
libadwaita-1.0.0alpha.2-1  libarchive-3.5.2-1  libavif-0.9.2-1  libbsd-0.11.3-1  libbytesize-2.6-1
libcanberra-0.30+2+gc0620e4-5  libcap-2.53-1  libcap-ng-0.8.2-3  libclc-12.0.1-1  libdrm-2.4.107-1
libepoxy-1.5.9-1  libfilezilla-0.31.1-1  libfprint-1.94.0-1  libfreeaptx-0.1.1-1  libgexiv2-0.12.3-1
libgit2-1:1.1.1-1  libgudev-237-1  libhandy-1.2.3-1  libibus-1.5.25-2  libidn-1.38-1  libidn2-2.3.2-1
libinput-1.18.1-1  libjcat-0.1.8-1  libjpeg-turbo-2.1.1-1  libkcddb-21.08.0-1  libkdcraw-21.08.0-1
libkdegames-21.08.0-1  libkexiv2-21.08.0-1  libkgapi-21.08.0-1  libkipi-21.08.0-1  libkleo-21.08.0-1
libkmahjongg-21.08.0-1  libkomparediff2-21.08.0-1  libksane-21.08.0-1  libksba-1.6.0-1
libkscreen-5.22.4-1  libksysguard-5.22.4-1  libldap-2.4.59-2  libmbim-1.26.0-2  libmd-1.0.3-1
libmfx-21.3.2-1  libmm-glib-1.16.10-1  libmwaw-0.3.20-1  libnghttp2-1.44.0-1  libnm-1.32.10-1
libnma-1.8.32-1  libpamac-aur-11.0.1-1  libplacebo-3.120.3-3  libpulse-15.0-1  libqalculate-3.20.1-1
libqmi-1.30.0-1  libreoffice-fresh-7.2.0-1  librewolf-91.0.1-1  librewolf-extension-bitwarden-1.52.0-1
libslirp-4.6.1-1  libsoup-2.74.0-1  libsrtp-1:2.4.0-1  libssh-0.9.6-1  libstemmer-2.1.0-1
libupnp-1.14.8-1  libuv-1.42.0-1  libva-2.12.0-1  libva-mesa-driver-21.2.1-1  libva-utils-2.12.0-1
libvips-8.11.3-1  libwacom-1.11-1  libwebp-1.2.1-1  libwpe-1.10.1-1  libx86emu-3.2-1
libxcrypt-4.4.25-1  libxfont2-2.0.5-1  libxft-2.3.4-1  libxmlb-0.3.2-1  libxnvctrl-470.63.01-1
linux-firmware-20210818.c46b8c3-1  linux-lts-5.10.61-1  linux-lts-headers-5.10.61-1
linux-zen-5.13.13.zen1-1  linux-zen-headers-5.13.13.zen1-1  llvm-libs-12.0.1-3  logrotate-3.18.1-1
lvm2-2.03.13-1  m4-1.4.19-1  man-db-2.9.4-2  man-pages-5.12-2  meld-3.20.4-1  mercurial-5.8.1-1
mesa-21.2.1-1  mesa-vdpau-21.2.1-1  mhwd-db-garuda-git-r56.6c1fd7a-1  mhwd-nvidia-470.57.02-1
micro-2.0.10-2  milou-5.22.4-1  miniupnpc-2.2.2-1  mkinitcpio-30-2  mkinitcpio-busybox-1.33.1-1
modemmanager-1.16.10-1  modemmanager-qt-5.85.0-1  mpfr-4.1.0.p13-1  mpg123-1.28.2-1  mtools-1:4.0.35-1
nano-5.8-1  netpbm-10.73.36-1  networkmanager-1.32.10-1  networkmanager-qt-5.85.0-1
networkmanager-strongswan-1.5.2-2  nextcloud-client-3.3.1-1  nfs-utils-2.5.4-1  nfsidmap-2.5.4-1
nm-cloud-setup-1.32.10-1  nm-connection-editor-1.24.0-1  nodejs-16.8.0-1  noto-fonts-emoji-20210625-1
npm-7.21.1-1  nspr-4.32-1  nss-3.69-1  nss-mdns-0.15.1-1  ocl-icd-2.3.1-1  okular-21.08.0-1
onlyoffice-bin-6.3.1-2  opencl-mesa-21.2.1-1  openexr-3.1.1-1  openfortivpn-1.17.0-1
openldap-2.4.59-2  openssh-8.7p1-1  openssl-1.1.1.l-1  openvpn-2.5.3-1  oxygen-5.22.4-1
pace-1.4.1.1-2  pacman-6.0.0-5  pacman-contrib-1.4.0-4  pacman-mirrorlist-20210822-1
pacutils-0.11.1-1  pango-1:1.48.9-2  pantheon-shortcut-overlay-1.2.0-1  partitionmanager-21.08.0-1
paru-1.8.2-1  pcre-8.45-1  pcsclite-1.9.3-1  performance-tweaks-2.0.0-1  perl-5.34.0-2
perl-alien-build-2.41-1  perl-file-basedir-0.09-1  perl-http-message-6.33-1  perl-libwww-6.56-1
pipewire-1:0.3.34-1  plasma-browser-integration-5.22.4-1  plasma-desktop-5.22.4-1
plasma-disks-5.22.4-1  plasma-firewall-5.22.4-1  plasma-framework-5.85.0-2
plasma-integration-5.22.4-1  plasma-nm-5.22.4-1  plasma-pa-5.22.4-1  plasma-systemmonitor-5.22.4-1
plasma-thunderbolt-5.22.4-1  plasma-vault-5.22.4-1  plasma-workspace-5.22.4-3
plasma-workspace-wallpapers-5.22.4-1  plasma5-applets-window-appmenu-0.7.1-2
plasma5-applets-window-title-0.7.0-2  plymouth-git-0.9.5.r84.ge554475-4  podman-3.3.0-1
podman-docker-3.3.0-1  polkit-kde-agent-5.22.4-1  polkit-qt5-0.114.0-1  poppler-21.08.0-1
poppler-glib-21.08.0-1  poppler-qt5-21.08.0-1  powerdevil-5.22.4-1  print-manager-21.08.0-1
prison-5.85.0-1  profile-sync-daemon-6.44-2  protobuf-3.17.3-1  pulseaudio-15.0-1
pulseaudio-bluetooth-15.0-1  pulseaudio-equalizer-15.0-1  pulseaudio-jack-15.0-1
pulseaudio-lirc-15.0-1  pulseaudio-rtp-15.0-1  pulseaudio-zeroconf-15.0-1  purpose-5.85.0-1
putty-0.76-1  pycharm-community-edition-2021.2-2  python-3.9.6-1  python-cffi-1.14.6-1
python-cryptography-3.4.8-1  python-dotenv-0.19.0-1  python-importlib-metadata-4.6.1-1
python-mako-1.1.5-1  python-more-itertools-8.8.0-1  python-pep517-0.11.0-1  python-pillow-8.3.1-1
python-pip-20.3.4-1  python-pyrsistent-0.18.0-1  python-reportlab-3.5.68-2  python-requests-2.26.0-1
python-setuptools-1:57.4.0-1  python-texttable-1.6.4-1  python-tomli-1.2.1-1  python-twisted-21.7.0-1
python-typing_extensions-3.10.0.0-1  python-urllib3-1.26.6-1  python-xlib-0.31-1  python-zipp-3.5.0-1
qbittorrent-4.3.7-1  qgpgme-1.16.0-1  qqc2-desktop-style-5.85.0-1  qt5-base-5.15.2+kde+r215-2
qt5-declarative-5.15.2+kde+r29-1  qt5-script-5.15.5-2  qt5-tools-5.15.2+kde+r17-3
qt5-wayland-5.15.2+kde+r29-1  qt5-webengine-5.15.5-1  qt6-base-6.1.2-1  qtcreator-4.15.2-2
re2-1:20210801-1  reflector-2021.7.8-1  remmina-1:1.4.20-1  rhash-1.4.2-1  ripgrep-13.0.0-2
rpcbind-1.2.6-1  rsync-3.2.3-4  ruby-3.0.2-1  ruby-irb-1.3.6-1  rubygems-3.2.21-1  run-parts-5.3-1
runc-1.0.2-1  samba-4.14.7-1  samba-mounter-git-175.7ac03da-1  sddm-kcm-5.22.4-1  sdl2-2.0.16-2
shaderc-2021.1-2  signal-desktop-5.15.0-1  signon-kwallet-extension-21.08.0-1  skanlite-21.08.0-1
slirp4netns-1.1.12-1  smbclient-4.14.7-1  smplayer-21.8.0-1  snappy-1.1.9-1  sof-firmware-1.8-1
solid-5.85.0-1  sonnet-5.85.0-1  soundtouch-2.3.0-1  source-highlight-3.1.9-6  spectacle-21.08.0-1
sqlite-3.36.0-1  sshfs-3.7.2-1  starship-0.57.0-1  strawberry-0.9.3-3  strongswan-5.9.3-1
sudo-1.9.7.p2-1  sweet-kde-git-r202.eb0b5bd-1  syndication-5.85.0-1  syntax-highlighting-5.85.0-1
systemd-249.3-1  systemd-libs-249.3-1  systemd-swap-4.4.0-2 [removal]  systemd-sysvcompat-249.3-1
systemsettings-5.22.4-1  talloc-2.3.3-1  tdb-1.4.5-1  tealdeer-1.4.1-6  tevent-1:0.11.0-1
texinfo-6.8-2  threadweaver-5.85.0-1  thunderbird-78.13.0-1  udisks2-2.9.3-1  unrar-1:6.0.7-1
upower-0.99.13-1  usbutils-014-1  util-linux-2.37.2-1  util-linux-libs-2.37.2-1  variety-0.8.5-2
virtualbox-6.1.26-1  virtualbox-ext-oracle-6.1.26-1  virtualbox-ext-vnc-6.1.26-1
virtualbox-guest-iso-6.1.26-1  virtualbox-host-dkms-6.1.26-1  virtualbox-meta-2-2
virtualbox-sdk-6.1.26-1  visual-studio-code-bin-1.59.1-1  vlc-3.0.16-3  vpnc-1:0.5.3.r496.r153-2
vulkan-headers-1:1.2.188-1  vulkan-icd-loader-1.2.188-1  vulkan-intel-21.2.1-1
vulkan-mesa-layers-21.2.1-1  vulkan-radeon-21.2.1-1  vulkan-swrast-21.2.1-1  vulkan-tools-1.2.184-1
webkit2gtk-2.32.3-1  whoogle-git-0.5.4_r355.gb44762d-1  wpebackend-fdo-1.10.0-1  xapp-2.2.2-1
xdg-desktop-portal-kde-5.22.4-1  xf86-input-libinput-1.1.0-1  xf86-video-amdgpu-21.0.0-1
xfsprogs-5.13.0-1  xorg-server-1.20.13-2  xorg-server-common-1.20.13-2  xorg-xrdb-1.2.1-1
xorg-xwayland-21.1.2-1  yakuake-21.08.0-1  zimg-3.0.2-1  zram-generator-0.3.2-1

Total Download Size:      51,30 MiB
Total Installed Size:  14028,77 MiB
Net Upgrade Size:        858,82 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
foomatic-db-nonfree-3:20210828-1-any       16,2 KiB   477 KiB/s 00:00 [----------------------------------------] 100%
foomatic-db-nonfree-ppds-3:20210828-...   158,6 KiB  1322 KiB/s 00:00 [----------------------------------------] 100%
foomatic-db-3:20210828-1-any              881,4 KiB  3,66 MiB/s 00:00 [----------------------------------------] 100%
kvantum-theme-sweet-git-r202.eb0b5bd...    25,5 KiB  44,7 KiB/s 00:01 [----------------------------------------] 100%
sweet-kde-git-r202.eb0b5bd-1-any            3,9 MiB  1543 KiB/s 00:03 [----------------------------------------] 100%
foomatic-db-ppds-3:20210828-1-any          46,3 MiB  7,72 MiB/s 00:06 [----------------------------------------] 100%
Total (6/6)                                51,3 MiB  8,51 MiB/s 00:06 [----------------------------------------] 100%
error: failed retrieving file 'sweet-kde-git-r202.eb0b5bd-1-any.pkg.tar.zst' from random-mirror.chaotic.cx : The reque
sted URL returned error: 404
(618/618) checking keys in keyring                                     [----------------------------------------] 100%
(618/618) checking package integrity                                   [----------------------------------------] 100%
(618/618) loading package files                                        [----------------------------------------] 100%
(618/618) checking for file conflicts                                  [----------------------------------------] 100%
error: failed to commit transaction (conflicting files)
npm: /usr/lib/node_modules/npm/docs/content/commands/npm-pkg.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/output/commands/npm-pkg.html exists in filesystem
npm: /usr/lib/node_modules/npm/lib/pkg.js exists in filesystem
npm: /usr/lib/node_modules/npm/lib/utils/exit-handler.js exists in filesystem
npm: /usr/lib/node_modules/npm/lib/utils/queryable.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/@npmcli/git/lib/errors.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/@npmcli/git/lib/make-error.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/@npmcli/package-json/LICENSE exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/@npmcli/package-json/lib/index.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/@npmcli/package-json/lib/update-dependencies.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/@npmcli/package-json/lib/update-scripts.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/@npmcli/package-json/lib/update-workspaces.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/@npmcli/package-json/package.json exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/.eslintrc.json exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/.npmignore exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/CHANGELOG.md exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/README.md exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/tap-snapshots/test/format-diff.js.test.cjs exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/tap-snapshots/test/index.js.test.cjs exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/tap-snapshots/test/untar.js.test.cjs exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/test/fixtures/archive.tgz exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/test/fixtures/ruyadorno-simplistic-pkg-with-folders-1.0.0.tgz e
xists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/test/fixtures/simple-output-2.2.1.tgz exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/test/format-diff.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/test/index.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/test/should-print-patch.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/test/tarball.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/libnpmdiff/test/untar.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/socks/typings/common/receivebuffer.d.ts exists in filesystem
Errors occurred, no packages were upgraded.

Any idea how to fix it?

It looks you used npm as root to install software. That software is now blocking your updates.

Remove everything you installed with npm

1 Like

I have run

sudo pacman -Rsu npm

but it haven't fixed my problem. The same error pop up after system update attempt.

Yeah, uninstalling npm won't help.

You need to use npm to uninstall whatever you installed with npm

1 Like

So then I've tried:

pacman -Rsc npm

and after that

sudo pacman -Syu

went smoothly.
Thank you ! :slightly_smiling_face:

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.